Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class HarvestResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.csw.manager.TransactionResult
              org.deegree.ogcwebservices.csw.manager.HarvestResult

All Implemented Interfaces:
  OGCWebServiceResponse

    public class HarvestResult

extends TransactionResult

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`HarvestResult(OGCWebServiceRequest request, int totalInserted, int totalDeleted, int totalUpdated, InsertResults results)`

Method Summary

Methods inherited from class org.deegree.ogcwebservices.csw.manager.TransactionResult
`create, getResults, getTotalDeleted, getTotalInserted, getTotalUpdated`

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HarvestResult

    public HarvestResult(OGCWebServiceRequest request,
                         int totalInserted,
                         int totalDeleted,
                         int totalUpdated,
                         InsertResults results)

Parameters:
  `request` -
  `totalInserted` -
  `totalDeleted` -
  `totalUpdated` -
  `results` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org